debsums failed avec 2 libs

Bruno Patri bruno.patri at gmail.com
Sam 24 Nov 11:22:18 UTC 2007


On Nov 24, 2007 11:00 AM, Christophe Meessen <christophe at meessen.net> wrote:
> Bonjour,
>
> J'ai lancé un petit debsums sur ma machine ubuntu server qui me sert de
> firewall et il me signale que deux librairies ont un md5 checksum invalide.
>
> /lib/tls/i686/cmov/libc-2.4.so et /usr/lib/libpostfix-global.so.1.0.1
>
> Dois-je m'inquiéter ? Comment fait-on pour remplacer ces deux librairies ?
> Je devrais peut-être refaire une install de scratch et utiliser tripwire
> qui est plus sûr.

Tu pourrais contrôler cela en extrayant les deux bibliothèques de
leurs paquets d'origine et en comparant la somme de contrôle MD5 avec
celle installées.

Les paquets .deb sont des archives, on peut donc les manipuler avec
n'importe quel gestionnaire d'archive pour en extraire des fichiers ;
file-roller sous Gnome, ark sous KDE, ar tar ou dpkg-deb -x en ligne
de commande.
La commande md5sum te permettra ensuite de vérifier les sommes de contrôle.

PS: désolé pour la réponse en privé, c'était involontaire


-- 
Bruno




Plus d'informations sur la liste de diffusion ubuntu-fr